summaryrefslogtreecommitdiff
path: root/etc
diff options
context:
space:
mode:
authorMaxim Cournoyer <maxim.cournoyer@gmail.com>2022-10-06 21:48:20 -0400
committerMaxim Cournoyer <maxim.cournoyer@gmail.com>2022-10-07 08:20:33 -0400
commit231e5f29ae1f3521442a4e9acf994e999f712f59 (patch)
tree1851f862cc00368a2a77fc0d7ac5f6d59246052a /etc
parent6a2e303d3a49baf7c222a70b91f453e9efd456c6 (diff)
downloadguix-patches-231e5f29ae1f3521442a4e9acf994e999f712f59.tar
guix-patches-231e5f29ae1f3521442a4e9acf994e999f712f59.tar.gz
guix-install.sh: Introduce 'die' utility function.
* etc/guix-install.sh (die): New function. (chk_sys_arch): Use it. (guix_get_bin_list, guix_get_bin, sys_create_store): Likewise.
Diffstat (limited to 'etc')
-rwxr-xr-xetc/guix-install.sh24
1 files changed, 12 insertions, 12 deletions
diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index 8c05d19657..29d1c0ba51 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -99,6 +99,12 @@ _flush()
done
}
+die()
+{
+ _err "${ERR}$*"
+ exit 1
+}
+
# Return true if user answered yes, false otherwise. It defaults to "yes"
# when a single newline character is input.
# $1: The prompt question.
@@ -230,8 +236,7 @@ chk_sys_arch()
local arch=powerpc64le
;;
*)
- _err "${ERR}Unsupported CPU type: ${arch}"
- exit 1
+ die "Unsupported CPU type: ${arch}"
esac
case "$os" in
@@ -239,8 +244,7 @@ chk_sys_arch()
local os=linux
;;
*)
- _err "${ERR}Your operation system (${os}) is not supported."
- exit 1
+ die "Your operation system (${os}) is not supported."
esac
ARCH_OS="${arch}-${os}"
@@ -295,8 +299,7 @@ guix_get_bin_list()
if [[ "${#bin_ver_ls}" -ne "0" ]]; then
_msg "${PAS}Release for your system: ${default_ver}"
else
- _err "${ERR}Could not obtain list of Guix releases."
- exit 1
+ die "Could not obtain list of Guix releases."
fi
# Use default to download according to the list and local ARCH_OS.
@@ -321,8 +324,7 @@ guix_get_bin()
"${url}/${bin_ver}.tar.xz" "${url}/${bin_ver}.tar.xz.sig"; then
_msg "${PAS}download completed."
else
- _err "${ERR}could not download ${url}/${bin_ver}.tar.xz."
- exit 1
+ die "could not download ${url}/${bin_ver}.tar.xz."
fi
pushd "${dl_path}" >/dev/null
@@ -330,8 +332,7 @@ guix_get_bin()
_msg "${PAS}Signature is valid."
popd >/dev/null
else
- _err "${ERR}could not verify the signature."
- exit 1
+ die "could not verify the signature."
fi
}
@@ -343,8 +344,7 @@ sys_create_store()
_debug "--- [ ${FUNCNAME[0]} ] ---"
if [[ -e "/var/guix" || -e "/gnu" ]]; then
- _err "${ERR}A previous Guix installation was found. Refusing to overwrite."
- exit 1
+ die "A previous Guix installation was found. Refusing to overwrite."
fi
cd "$tmp_path"